
package com.tmerclub.cloud.common.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * 规格组合商品管理表DTO
 *
 * @author tmerclub
 * @date 2023-11-08 11:00:41
 */
public class SkuComboDTO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "组合的skuid")
    private Long comboSkuId;

    @Schema(description = "组合的商品id")
    private Long comboSpuId;

    @Schema(description = "组合数量")
    private Long comboCount;

    @Schema(description = "spuId")
    private Long spuId;

    @Schema(description = "skuIds")
    private List<Long> skuIds;

    public List<Long> getSkuIds() {
        return skuIds;
    }

    public void setSkuIds(List<Long> skuIds) {
        this.skuIds = skuIds;
    }

    public Long getComboSpuId() {
        return comboSpuId;
    }

    public void setComboSpuId(Long comboSpuId) {
        this.comboSpuId = comboSpuId;
    }

    public Long getComboCount() {
        return comboCount;
    }

    public void setComboCount(Long comboCount) {
        this.comboCount = comboCount;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getComboSkuId() {
        return comboSkuId;
    }

    public void setComboSkuId(Long comboSkuId) {
        this.comboSkuId = comboSkuId;
    }

    @Override
    public String toString() {
        return "SkuComboDTO{" +
                "skuId=" + skuId +
                ", comboSkuId=" + comboSkuId +
                ", comboSpuId=" + comboSpuId +
                ", comboCount=" + comboCount +
                ", spuId=" + spuId +
                ", skuIds=" + skuIds +
                '}';
    }
}
